using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Ewide.Core
{
    /// <summary>
    /// 通知公告表
    /// </summary>
    [Table("sys_notice")]
    [Comment("通知公告表")]
    public class SysNotice : DEntityBase
    {
        /// <summary>
        /// 标题
        /// </summary>
        [Comment("标题")]
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [Comment("内容")]
        public string Content { get; set; }

        /// <summary>
        /// 类型（字典 1通知 2公告）
        /// </summary>
        [Comment("类型")]
        public int Type { get; set; }

        /// <summary>
        /// 发布人Id
        /// </summary>
        [Comment("发布人Id")]
        [Column("PublicUserId", TypeName = "varchar(36)")]
        public string PublicUserId { get; set; }

        /// <summary>
        /// 发布人姓名
        /// </summary>
        [Comment("发布人姓名")]
        public string PublicUserName { get; set; }

        /// <summary>
        /// 发布机构Id
        /// </summary>
        [Comment("发布机构Id")]
        [Column("PublicOrgId", TypeName = "varchar(36)")]
        public string PublicOrgId { get; set; }

        /// <summary>
        /// 发布机构名称
        /// </summary>
        [Comment("发布机构名称")]
        public string PublicOrgName { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [Comment("发布时间")]
        public DateTime PublicTime { get; set; }

        /// <summary>
        /// 撤回时间
        /// </summary>
        [Comment("撤回时间")]
        public DateTime CancelTime { get; set; }

        /// <summary>
        /// 状态（字典 0草稿 1发布 2撤回 3删除）
        /// </summary>
        [Comment("状态")]
        public int Status { get; set; }
    }
}
